<?php
namespace Fifa\ConnectId\Sdk\Model;

/**
 * Class PersonDetails
 * @package Fifa\ConnectId\Sdk\Model
 */
class PersonDetails
{
    /**
     * @var string
     */
    private $sourceOrganisationId;

    /**
     * @var string
     */
    private $xmlData;

    /**
     * @var string
     */
    private $correlationId;

    /**
     * Constructor
     *
     * @param string $sourceOrganisationId
     * @param string|null $xmlData
     * @param string $correlationId
     */
    public function __construct(string $sourceOrganisationId, ?string $xmlData, string $correlationId)
    {
        $this->sourceOrganisationId = $sourceOrganisationId;
        $this->xmlData = $xmlData;
        $this->correlationId = $correlationId;
    }

    /**
     * String representation of the object
     *
     * @return string
     */
    public function __toString()
    {
        return
            'SourceOrganisationId: ' . $this->getSourceOrganisationId() . ', CorrelationId: ' . $this->getCorrelationId() .
            ', XmlData: ' . $this->getXmlData();
    }

    /**
     * Getter for correlation id
     *
     * @return string
     */
    public function getCorrelationId(): string
    {
        return $this->correlationId;
    }

    /**
     * Getter for xml data
     *
     * @return string
     */
    public function getXmlData(): ?string
    {
        return $this->xmlData;
    }

    /**
     * Getter for source organisation id
     *
     * @return string
     */
    public function getSourceOrganisationId(): string
    {
        return $this->sourceOrganisationId;
    }
}